
%define name	gnome-subtitles
%define version	1.0
%define rel	1

Summary:	Subtitle editor for the GNOME desktop
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
URL:		http://gnome-subtitles.sourceforge.net/
Source:		http://kent.dl.sourceforge.net/sourceforge/gnome-subtitles/%name-%version.tar.gz
Patch0:		gnome-subtitles-0.9-destktop.patch
License:	GPLv2+
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+2-devel
BuildRequires:	mono-devel
BuildRequires:	pkgconfig(glade-sharp-2.0)
BuildRequires:	gnome-sharp2-devel
BuildRequires:	imagemagick
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libgstreamer0.10-plugins-base-devel
BuildRequires:	sublib-devel
Suggests:	gstreamer0.10-decoders

%description
Gnome Subtitles is a subtitle editor for the GNOME desktop. It
supports the most common text-based subtitle formats and allows for
subtitle editing, translation and synchronization.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang --with-gnome %{name}

install -d -m755 %{buildroot}{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
convert data/%{name}.png -resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert data/%{name}.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert data/%{name}.png -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%post_install_gconf_schemas %{name}
%{update_menus}
%endif

%preun
%preun_uninstall_gconf_schemas %{name}

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*
%if %{mdkversion} <= 200710
%doc %dir %{_datadir}/gnome/help/%{name}
%doc %dir %{_datadir}/gnome/help/%{name}/C
%doc %{_datadir}/gnome/help/%{name}/C/%{name}.xml
%doc %{_datadir}/gnome/help/%{name}/C/legal.xml
%doc %dir %lang(ca) %{_datadir}/gnome/help/%{name}/ca
%doc %lang(ca) %{_datadir}/gnome/help/%{name}/ca/%{name}.xml
%doc %dir %lang(sv) %{_datadir}/gnome/help/%{name}/sv
%doc %lang(sv) %{_datadir}/gnome/help/%{name}/sv/%{name}.xml
%endif
# FIXME: someone else should own this:
%dir %{_datadir}/omf
%dir %{_datadir}/omf/%{name}
# TODO: add omf handling into find_lang.pl:
%{_datadir}/omf/%{name}/%{name}-C.omf
%lang(ca) %{_datadir}/omf/%{name}/%{name}-ca.omf
%lang(de) %{_datadir}/omf/%{name}/%{name}-de.omf
%lang(sv) %{_datadir}/omf/%{name}/%{name}-sv.omf
%lang(el) %{_datadir}/omf/%{name}/%{name}-el.omf
%lang(es) %{_datadir}/omf/%{name}/%{name}-es.omf
%lang(oc) %{_datadir}/omf/%{name}/%{name}-oc.omf
%lang(fr) %{_datadir}/omf/%{name}/%{name}-fr.omf


%changelog
* Sat Feb 20 2010 Funda Wang <fwang@mandriva.org> 1.0-1mdv2010.1
+ Revision: 508717
- new version 1.0

* Sun Jul 19 2009 Funda Wang <fwang@mandriva.org> 0.9.1-1mdv2010.0
+ Revision: 397413
- new version 0.9.1

* Mon Jun 22 2009 Funda Wang <fwang@mandriva.org> 0.9-1mdv2010.0
+ Revision: 387997
- add tarball
- New version 0.9

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Aug 22 2008 Funda Wang <fwang@mandriva.org> 0.8-2mdv2009.0
+ Revision: 275024
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed May 14 2008 Funda Wang <fwang@mandriva.org> 0.8-1mdv2009.0
+ Revision: 207020
- fix file list
- BR sublib
- BR gladesharp
- BR devel packages
- New version 0.8

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 158562
- New version 0.7.2

* Fri Jan 25 2008 Anssi Hannula <anssi@mandriva.org> 0.7.1-2mdv2008.1
+ Revision: 158068
- disable parallel build
- suggests gstreamer0.10-decoders instead of mplayer

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2008.1
+ Revision: 120572
- add missing omf files
- BR gstreamer-base
- BR gstreamer
- New version 0.7.1

* Sat Oct 27 2007 Anssi Hannula <anssi@mandriva.org> 0.6-3mdv2008.1
+ Revision: 102669
- fixes for backportability

* Tue Oct 16 2007 Anssi Hannula <anssi@mandriva.org> 0.6-2mdv2008.1
+ Revision: 99172
- buildrequire ImageMagick for backportability

* Tue Oct 16 2007 Anssi Hannula <anssi@mandriva.org> 0.6-1mdv2008.1
+ Revision: 99094
- initial Mandriva release

